libkdegames (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:03:43 +0000

libkdegames (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:35:25 +0000

libkdegames (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:22:39 -0700

libkdegames (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:21:49 +0000

libkdegames (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:42:15 +0000

libkdegames (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:38:09 +0100

libkdegames (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:05:37 +0100

libkdegames (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:38 +0100

libkdegames (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:05 +0100

libkdegames (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:56:06 +0100

libkdegames (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:16 +0100

libkdegames (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:44:53 +0000

libkdegames (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:27:51 -0600

libkdegames (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:20:45 +0000

libkdegames (4:22.12.0-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Keep Kubuntu symbols files.
    - libkf5kdegames-data package for translations.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 14:09:32 +0000

libkdegames (4:22.12.0-3) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Update the symbols files from the logs of buildds.
  * Update the build dependencies according to the upstream build system:
    - drop libkf5declarative-dev, no more used
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Thu, 15 Dec 2022 07:45:44 +0100

libkdegames (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:58 +0100

libkdegames (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * New upstream release (22.12.0).
  * Update symbols from build for 22.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:07 +0100

libkdegames (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:16:41 +0000

libkdegames (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:12:52 +0000

libkdegames (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:55:39 +0000

libkdegames (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:15:41 +0000

libkdegames (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:14 +0100

libkdegames (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:56:27 +0100

libkdegames (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:34:24 +0100

libkdegames (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:02 +0100

libkdegames (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:08:11 +0100

libkdegames (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:55:29 +0100

libkdegames (4:21.12.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 06 Mar 2022 10:09:46 +0000

libkdegames (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.0, no changes needed.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.85.0
    - drop no more needed: libkf5bookmarks-dev, libkf5codecs-dev,
      libkf5coreaddons-dev, libkf5crash-dev, libkf5dbusaddons-dev,
      libkf5globalaccel-dev, libkf5itemviews-dev, libkf5jobwidgets-dev, and
      libkf5textwidgets-dev
    - mark xauth, and xvfb as !nocheck, as they are needed only during
      dh_auto_test
  * Drop the libkf5config-dev, and libkf5i18n-dev dependencies from
    libkf5kdegames-dev, as they are no more needed.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 10:03:52 +0100

libkdegames (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:02 +0000

libkdegames (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:24:37 +0000

libkdegames (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:32:26 +0000

libkdegames (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:29:31 +0000

libkdegames (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:24:48 +0000

libkdegames (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:31:59 +0000

libkdegames (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:10 +0000

libkdegames (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:06 +0100

libkdegames (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:34:47 +0900

libkdegames (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:09:43 +0100

libkdegames (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:04:06 +0100

libkdegames (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:17 +0100

libkdegames (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:53:14 +0900

libkdegames (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:00 +0100

libkdegames (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:48:20 +0100

libkdegames (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:14:41 +0100

libkdegames (4:21.04.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Fix symbols on 32bit archs.

 -- Norbert Preining <norbert@preining.info>  Mon, 10 May 2021 11:57:16 +0900

libkdegames (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * kdegamesprivate library: so version bump
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 11:41:03 +0900

libkdegames (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Rename package according to SONAME bump:
    - libkf5kdegamesprivate1 -> libkf5kdegamesprivate7
    - Regenerate symbols file for new lib.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:45:53 +0100

libkdegames (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:07 +0000

libkdegames (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:01:33 +0000

libkdegames (4:20.12.1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jan 2021 17:34:18 +0000

libkdegames (4:20.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5kdegames-dev, qml-module-org-kde-games-core: Add Multi-Arch: same.

  [ Pino Toscano ]
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.57.0
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the patches:
    - incomplete_header: drop, the buggy header was dropped upstream
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update symbols files.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 21:08:32 +0100

libkdegames (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:34:44 +0000

libkdegames (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:58:50 +0000

libkdegames (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:00:59 +0100

libkdegames (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:52:44 +0100

libkdegames (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:43:17 +0100

libkdegames (4:20.04.2-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 14:53:27 +0100

libkdegames (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files with the logs of buildds.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Jun 2020 23:59:06 +0200

libkdegames (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:24:38 +0100

libkdegames (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:41:44 +0100

libkdegames (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:27:38 +0100

libkdegames (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
  * Update symbols from Ubuntu build logs.
  * Move qdebug logging file.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 21:31:47 +0000

libkdegames (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - explicitly link in as-needed mode
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat

 -- Pino Toscano <pino@debian.org>  Tue, 10 Mar 2020 22:00:13 +0100

libkdegames (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:16:47 +0000

libkdegames (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:25:55 +0000

libkdegames (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:15 +0000

libkdegames (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:53:55 +0000

libkdegames (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)
  * Mark libkf5kdegames-data as 'Multi-Arch: foreign'.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:30 +0000

libkdegames (4:19.08.1-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
  * Update symbols from Ubuntu build logs.
  * Move qdebug logging file.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2019 18:05:12 +0000

libkdegames (4:19.08.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files with the logs of buildds.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Fix the dependencies of libkf5kdegames-dev according to the cmake
    requirements:
    - remove libkf5declarative-dev
    - add libkf5config-dev, libkf5configwidgets-dev, libkf5i18n-dev,
      libkf5widgetsaddons-dev, and qtdeclarative5-dev

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 12:24:36 +0200

libkdegames (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Add some Multi-Arch annotations.
  * Drop the migration from libkf5kdegames-dbg, no more needed after two
    Debian stable releases.
  * Update symbols files.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump Qt packages to 5.9.0
    - bump KF5 packages to 5.46.0
    - remove libkf5kio-dev
    - explicitly add gettext
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 10:21:41 +0200

libkdegames (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:05 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkf5kdegames-data`.
